// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnlibs.hpp"
#include "scene/Scene.hpp"
#include "display/RenderManager.hpp"

#define DAWN_GAME_INIT_RESULT_SUCCESS 0
#define DAWN_GAME_UPDATE_RESULT_SUCCESS 0
#define DAWN_GAME_UPDATE_RESULT_EXIT 1

namespace Dawn {
  class DawnHost;

  class DawnGame :
    public std::enable_shared_from_this<DawnGame>
  {
    private:
      std::shared_ptr<Scene> scene;
      std::weak_ptr<DawnHost> host;

    public:
      RenderManager renderManager;

      DawnGame(std::weak_ptr<DawnHost> host);

      int32_t init();
      int32_t update(float_t delta);

      ~DawnGame();
  };
}