// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "dawnopengl.hpp"
#include "game/DawnGame.hpp"
#include "display/RenderManager.hpp"

using namespace Dawn;

RenderManager::RenderManager(std::weak_ptr<DawnGame> game) {
  this->game = game;
}

void RenderManager::init() {
  glClearColor(
    0.39215686274f,
    0.58431372549f,
    0.9294117647f,
    1.0f
  );

  glViewport(0, 0, 1280, 720);
}

void RenderManager::update() {
  glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
}

RenderManager::~RenderManager() {

}